/*****************************************************************************
 * Copyright (C) 2019
 *
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of BMS
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * BrewCloud is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/


$(document).ready(function() {

 $('#jqxFileUpload').jqxFileUpload({
  width: 300,
  browseTemplate: 'success',
  cancelTemplate: 'inverse',
  uploadTemplate: 'primary',
  theme: theme,
  multipleFilesUpload: false,
  accept: 'application/json',
  uploadUrl: 'upl_brew.php',
  fileInputName: 'fileToUpload'
 });
 $('#eventsPanel').jqxPanel({
  width: 800,
  height: 200,
  theme: theme
 });
 $('#jqxFileUpload').on('select', function(event) {
  var fileName, fileSize, args = event.args;
  fileName = args.file;
  fileSize = args.size;
  $('#eventsPanel').jqxPanel('clearcontent');
  $('#eventsPanel').jqxPanel('append', '<strong>' + event.type + ':</strong> ' + fileName + '  size: ' + fileSize + '<br />');
 });
 $('#jqxFileUpload').on('uploadEnd', function(event) {
  var fileName, serverResponce, args = event.args;
  fileName = args.file;
  serverResponce = args.response;
  $('#eventsPanel').jqxPanel('append', '<strong>' + event.type + ':</strong> ontvangen ' + fileName + '<br />' + serverResponce + '<br />');
 });

});
